Bug 1083043 - Package should require python-simplejson
Summary: Package should require python-simplejson
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1118213 1127448 1178292 1201298 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-01 11:35 UTC by Patrick Monnerat
Modified: 2016-02-28 12:23 UTC (History)
8 users (show)

Fixed In Version: rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22 rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 08:23:49 UTC


Attachments (Terms of Use)

Description Patrick Monnerat 2014-04-01 11:35:50 UTC
Description of problem:
Rabbitvcs crashes if package python-simplejson is not installed.


Version-Release number of selected component (if applicable):
0.16-1

How reproducible:
Always

Steps to Reproduce:
1. yum install rabbitvcs extension to your file manager
2. Uninstall python-simplejson
3. Try to use vcs status features from your file manager

Actual results:
ImportError: No module named simplejson


Expected results:
Proper functioning

Additional info:
This bug has already been reported in the EOL BZ #896732.

Files importing simplejson:
rabbitvcs/services/statuschecker.py
rabbitvcs/services/checkerservice.py

Comment 1 Christopher Meng 2014-04-04 02:48:17 UTC
I will fix it soon.

Comment 2 cube00 2015-01-03 17:31:59 UTC
*** Bug 1178292 has been marked as a duplicate of this bug. ***

Comment 3 Yajo 2015-01-05 09:56:03 UTC
*** Bug 1118213 has been marked as a duplicate of this bug. ***

Comment 4 Jaroslav Reznik 2015-03-03 17:00:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 cube00 2015-10-04 06:35:34 UTC
Still an issue in Fedora 23 Beta.

Comment 6 Juan Orti Alcaine 2015-10-05 07:31:09 UTC
*** Bug 1201298 has been marked as a duplicate of this bug. ***

Comment 7 Michael Lipp 2015-10-19 10:00:30 UTC
I'm not sure about this version change to 23. I just installed "current" Fedora which happens to be 22 still and fell into this trap.

This is a one line change in the spec file that I could even do myself. I think it's worth fixing this for 22.

Comment 8 Raphael Groner 2016-01-29 16:58:03 UTC
*** Bug 1127448 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2016-02-02 19:17:30 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4882588005

Comment 10 Fedora Update System 2016-02-02 19:17:31 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f817392d97

Comment 11 Fedora Update System 2016-02-03 16:25:09 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 12 Fedora Update System 2016-02-03 16:25:09 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 13 Fedora Update System 2016-02-03 17:20:51 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 14 Fedora Update System 2016-02-03 22:59:09 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 15 Fedora Update System 2016-02-03 23:25:00 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 16 Fedora Update System 2016-02-04 09:22:42 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 17 Fedora Update System 2016-02-04 09:24:41 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 18 Fedora Update System 2016-02-05 01:23:32 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 19 Fedora Update System 2016-02-05 01:24:47 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 20 Fedora Update System 2016-02-05 02:19:08 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 21 Fedora Update System 2016-02-15 20:47:24 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 22 Fedora Update System 2016-02-15 20:49:25 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 23 Fedora Update System 2016-02-15 20:52:37 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 24 Fedora Update System 2016-02-17 06:25:14 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 25 Fedora Update System 2016-02-17 06:28:23 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 26 Fedora Admin XMLRPC Client 2016-02-27 18:58:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 27 Fedora Update System 2016-02-28 08:23:28 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-02-28 12:23:14 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.